Back to siteAPI Documentation
GET

/api/v1/shipments/{shipment_id}/quotes

Auth: Bearer token

List Shipment Quotes

Returns carrier options available to book for an existing shipment.

Path parameters

NameTypeRequiredDescription
shipment_idstringYesShipment identifier.

Example response

<?php

return [
  'success' => true,
  'data' => [
    [
      'quote_option_id' => 'qopt_001',
      'carrier_code' => 'fastship',
      'service_code' => 'next_day',
      'currency' => 'ZAR',
      'amount' => '225.00',
      'tax_amount' => '33.75',
      'total_amount' => '258.75',
      'eta_from' => '2026-02-18T08:00:00Z',
      'eta_to' => '2026-02-18T17:00:00Z',
      'rules' => [
        'max_weight_kg' => 25
      ]
    ]
  ]
];

Request examples

curl -X GET \
  "https://api.spaces.za.com/api/v1/shipments/shp_101/quotes" \
  -H "Authorization: Bearer <token>" \\